%define version 0.10.4
%define release 4mdk

%define major 0
%define glib_version 1.3.13

%define libname %mklibname %{name} %{major}

Summary:	Library to support Bi-directional scripts
Name:		fribidi
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Internationalization
Source:		http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
URL:		http://fribidi.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package	-n %{libname}
Summary:	Library to support Bi-directional scripts
Group:		System/Internationalization
Requires:	%{name} = %{version}-%{release}

%description	-n %{libname}
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package	-n %{libname}-devel
Summary:	Static libraries and headers for %{name} library
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description	-n %{libname}-devel
This package includes the static libraries and header files for the
%{name} package.

Install this package if you want to develop or compile programs which
will use %{name}.

%prep
%setup -q

# fix detection of glib2
# 0.10.4-3mdk (Abel) no more necessary
#rm -f acinclude.m4
#touch acinclude.m4
#aclocal
#autoconf

%build
%configure2_5x
%make

make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS  ChangeLog TODO THANKS NEWS
%{_bindir}/fribidi

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_bindir}/fribidi-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.10.4-4mdk
- rebuild for new pkgconfig Requires

* Wed Sep  3 2003 Abel Cheung <deaddog@deaddog.org> 0.10.4-3mdk
- mklibname

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.10.4-2mdk
- rebuild

* Sat Jan 25 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.10.4-1mdk
- updated to 0.10.4

* Thu Feb 14 2002 Stefan van der Eijk <stefan@eijk.nu> 0.10.1-3mdk
- BuildRequires

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-2mdk
- Recompiled against glib 1.3.13

* Fri Jan 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.10.1-1mdk
- updated to 0.10.1

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- Recompiled against glib 1.3.12

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-1mdk
- Release 0.9.1
- Patch 0 (Abel Cheung): implement pkgconfig support

* Sun Sep 30 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-2mdk
- BuildRequires:	glib-devel
- Copyright --> License

* Tue Aug 07 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9.0-1mdk
- updated version

* Sun Jan 07 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.1.15-2mdk
- fixed Requires

* Sun Jan 07 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.1.15-1mdk
- new lib policy
- updated to 0.1.15

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.12-1mdk
- new and shiny version.
- macros and _tmppath.

* Sun Apr 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.9-1mdk
- New Group: naming
- updated to 0.1.9
- splitted in a -devel rpm; to make it compatible with the rpms in
  the http://www.pango.org/ site

* Mon Mar 13 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.8-1mdk
- updated to 0.1.8

* Mon Jan 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-3mdk
- Use %configure.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environmint

* Thu Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version
